Support Questions

Find answers, ask questions, and share your expertise
Announcements
Celebrating as our community reaches 100,000 members! Thank you!

DataNode Install Error on MySQL

avatar
Contributor

Hi All,

I am having the issue in installing the MySQL when creating the datanode. Help will be appreciated. Sorry for much trouble as I am totally new to it.

datanode-mysql-issue.png

Best Regards

David

1 ACCEPTED SOLUTION

avatar
Master Mentor
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login
19 REPLIES 19

avatar
Master Mentor
@David Yee

run yum install mysql-community-release manually and retry the install through ambari. Also please post errors as text so it's searchable on the site. When you post photos, other users cannot see the actual issues you're having.

avatar
Contributor

Ok sure on posting the errors in text. 🙂

Hi Artem,

I have run the command manually "yum install mysql-community-release" but it gave me the following message.

Loaded plugins: amazon-id, rhui-lb, search-disabled-repos Repository HDP-UTILS-1.1.0.20 is listed more than once in the configuration No package mysql-community-release available. Error: Nothing to do

Best Regards

David

avatar
Master Mentor
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login

avatar
Master Mentor

@David Yee I converted my comment to answer, if that helps.

avatar
Expert Contributor

@Artem Ervits

How exactly do you remove one of the entries? I encountered the same issue as David and am quite new to Linux.

avatar
Master Mentor
ssh root@machine
yum repolist
cd /etc/yum.repos.d/
vi filename.repo

look for the .repo files that are similar like HDP.repo HDP-UTILS.repo, ambari.repo and find dupes that way with repolist command above, you can get a response saying what is listed twice, then find that file and edit it to remove the duplicate entry. @Mark Thorson

avatar
Expert Contributor

I see the files you are talking about (denoted by red arrows) but I don't see any exact duplicates.


hadoop-support-mysql.jpg

avatar
Master Mentor

@Mark Thorson what is the exact issue you're facing? I see you have postgres installed, is that the issue that you're getting errors on dependency? You can uninstall Postgres and ambari-server and try again, ambari-server will pull postgres as part of install automatically. Check the ambari-server requirements for Postgres in our documentation for the right versions, v. 8 and 9 are supported.

avatar
Expert Contributor

I am using Ambari to create a new cluster but the install is failing at the MySQL Server install. I am getting the same error message as David included in his screenshot.

ambari-mysql-error-msg.txt